> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-1 CDNR

> Get all credit/debit notes for a return period for registered user

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/documents/cdnr.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-1 Documents
      summary: GSTR-1 CDNR
      description: "Get all credit/debit notes for a return period for registered user\r\n\r\n"
      operationId: getGstr1Cdnr
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: action_required
          in: query
          description: >-
            `optional` Status filter for filtering the invoices. Possible
            values: `Y` or `N`. Status filter for filtering the invoices. Use
            filter value Y to fetches the invoices where tax payer need to take
            action. Already accepted or uploaded invoices can be fetched by
            using filter value N.
          required: false
          schema:
            type: string
            example: '{{action_required}}'
        - name: from
          in: query
          description: From Date (DD/MM/YYYY)
          required: false
          schema:
            type: string
            example: '{{from}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: RET11416 No data found / 200 Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          cdnr:
                            type: array
                            items:
                              type: object
                              properties:
                                cfs:
                                  type: string
                                  example: 'N'
                                ctin:
                                  type: string
                                  example: 06AAABC1234F1YZ
                                nt:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      cflag:
                                        type: string
                                        example: 'N'
                                      chksum:
                                        type: string
                                        example: >-
                                          45dba17f8147720215827d43e75360b4e9b433f171a4ab48f4432f7f134b6396
                                      d_flag:
                                        type: string
                                        example: 'Y'
                                      flag:
                                        type: string
                                        example: U
                                      inv_typ:
                                        type: string
                                        example: R
                                      itms:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            itm_det:
                                              type: object
                                              properties:
                                                csamt:
                                                  type: number
                                                  example: 0
                                                iamt:
                                                  type: number
                                                  example: 152.39
                                                rt:
                                                  type: number
                                                  example: 18
                                                txval:
                                                  type: number
                                                  example: 846.61
                                            num:
                                              type: number
                                              example: 1
                                        example:
                                          - itm_det:
                                              csamt: 0
                                              iamt: 152.39
                                              rt: 18
                                              txval: 846.61
                                            num: 1
                                      nt_dt:
                                        type: string
                                        example: 21-10-2024
                                      nt_num:
                                        type: string
                                        example: SCN-594
                                      ntty:
                                        type: string
                                        example: C
                                      pos:
                                        type: string
                                        example: '06'
                                      rchrg:
                                        type: string
                                        example: 'N'
                                      updby:
                                        type: string
                                        example: S
                                      val:
                                        type: number
                                        example: 999
                                  example:
                                    - cflag: 'N'
                                      chksum: >-
                                        45dba17f8147720215827d43e75360b4e9b433f171a4ab48f4432f7f134b6396
                                      d_flag: 'Y'
                                      flag: U
                                      inv_typ: R
                                      itms:
                                        - itm_det:
                                            csamt: 0
                                            iamt: 152.39
                                            rt: 18
                                            txval: 846.61
                                          num: 1
                                      nt_dt: 21-10-2024
                                      nt_num: SCN-594
                                      ntty: C
                                      pos: '06'
                                      rchrg: 'N'
                                      updby: S
                                      val: 999
                            example:
                              - cfs: 'N'
                                ctin: 06AAABC1234F1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      45dba17f8147720215827d43e75360b4e9b433f171a4ab48f4432f7f134b6396
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 21-10-2024
                                    nt_num: SCN-594
                                    ntty: C
                                    pos: '06'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                              - cfs: 'N'
                                ctin: 19AAABC1234F1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      7b20992ad263f5469c10fd34d6ec7b297ab0044dc1e24b77ab2ff8527072c7f5
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 21-10-2024
                                    nt_num: SCN-595
                                    ntty: C
                                    pos: '19'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                              - cfs: 'N'
                                ctin: 21AAABC1234M1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      4349b9cfc2cb4854ee8dfcc076d9a7c2d78720aaee9a72f0b146cbc94b438ea1
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 21-10-2024
                                    nt_num: SCN-602
                                    ntty: C
                                    pos: '21'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                              - cfs: 'N'
                                ctin: 24AAABC1234Q1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      cfc6f6116585301569e6b92b35f7284e0d9ad87cf9d2a22858ba3ccd184035ee
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          camt: 1525.42
                                          csamt: 0
                                          rt: 18
                                          samt: 1525.42
                                          txval: 16949.15
                                        num: 1
                                    nt_dt: 16-10-2024
                                    nt_num: SCN-618
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    updby: S
                                    val: 20000
                              - cfs: 'N'
                                ctin: 29AAABC1234A1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      87eb637a2722df589ef6562b5cf088e8204775f53210fc6c8d0bed9d3172a34f
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 21-10-2024
                                    nt_num: SCN-592
                                    ntty: C
                                    pos: '29'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                              - cfs: 'N'
                                ctin: 33AAABC1234H1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      0750a9514da1d618e2cb756f56e4447e3e4787e538c7a38983ea73ced6200228
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 25-10-2024
                                    nt_num: SCN-603
                                    ntty: C
                                    pos: '33'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                              - cfs: 'N'
                                ctin: 33AAABC1234C1YZ
                                nt:
                                  - cflag: 'N'
                                    chksum: >-
                                      9a1b262af95f1e30e83c3e07023dd0e46bd709e6b2f8d16b33d11573a4004066
                                    d_flag: 'Y'
                                    flag: U
                                    inv_typ: R
                                    itms:
                                      - itm_det:
                                          csamt: 0
                                          iamt: 152.39
                                          rt: 18
                                          txval: 846.61
                                        num: 1
                                    nt_dt: 31-10-2024
                                    nt_num: SCN-619
                                    ntty: C
                                    pos: '33'
                                    rchrg: 'N'
                                    updby: S
                                    val: 999
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RET11416
                          message:
                            type: string
                            example: >-
                              No document found in selected financial year.
                              Either this document exists in a different
                              financial year or the document number is
                              incorrect.
                      status_cd:
                        type: string
                        example: '0'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 4c847af5-045e-40ff-a15e-c877399eef1f
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        cdnr:
                          - cfs: 'N'
                            ctin: 06AAABC1234F1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  45dba17f8147720215827d43e75360b4e9b433f171a4ab48f4432f7f134b6396
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 21-10-2024
                                nt_num: SCN-594
                                ntty: C
                                pos: '06'
                                rchrg: 'N'
                                updby: S
                                val: 999
                          - cfs: 'N'
                            ctin: 19AAABC1234F1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  7b20992ad263f5469c10fd34d6ec7b297ab0044dc1e24b77ab2ff8527072c7f5
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 21-10-2024
                                nt_num: SCN-595
                                ntty: C
                                pos: '19'
                                rchrg: 'N'
                                updby: S
                                val: 999
                          - cfs: 'N'
                            ctin: 21AAABC1234M1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  4349b9cfc2cb4854ee8dfcc076d9a7c2d78720aaee9a72f0b146cbc94b438ea1
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 21-10-2024
                                nt_num: SCN-602
                                ntty: C
                                pos: '21'
                                rchrg: 'N'
                                updby: S
                                val: 999
                          - cfs: 'N'
                            ctin: 24AAABC1234Q1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  cfc6f6116585301569e6b92b35f7284e0d9ad87cf9d2a22858ba3ccd184035ee
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 1525.42
                                      csamt: 0
                                      rt: 18
                                      samt: 1525.42
                                      txval: 16949.15
                                    num: 1
                                nt_dt: 16-10-2024
                                nt_num: SCN-618
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                updby: S
                                val: 20000
                          - cfs: 'N'
                            ctin: 29AAABC1234A1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  87eb637a2722df589ef6562b5cf088e8204775f53210fc6c8d0bed9d3172a34f
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 21-10-2024
                                nt_num: SCN-592
                                ntty: C
                                pos: '29'
                                rchrg: 'N'
                                updby: S
                                val: 999
                          - cfs: 'N'
                            ctin: 33AAABC1234H1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  0750a9514da1d618e2cb756f56e4447e3e4787e538c7a38983ea73ced6200228
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 25-10-2024
                                nt_num: SCN-603
                                ntty: C
                                pos: '33'
                                rchrg: 'N'
                                updby: S
                                val: 999
                          - cfs: 'N'
                            ctin: 33AAABC1234C1YZ
                            nt:
                              - cflag: 'N'
                                chksum: >-
                                  9a1b262af95f1e30e83c3e07023dd0e46bd709e6b2f8d16b33d11573a4004066
                                d_flag: 'Y'
                                flag: U
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 152.39
                                      rt: 18
                                      txval: 846.61
                                    num: 1
                                nt_dt: 31-10-2024
                                nt_num: SCN-619
                                ntty: C
                                pos: '33'
                                rchrg: 'N'
                                updby: S
                                val: 999
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: ff12dcdb-b205-4f2f-a27e-448b943f69e5
                RET11416 No data found:
                  summary: RET11416 No data found
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET11416
                        message: >-
                          No document found in selected financial year. Either
                          this document exists in a different financial year or
                          the document number is incorrect.
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 4c847af5-045e-40ff-a15e-c877399eef1f
          headers: {}
      deprecated: false
      security: []

````